Bug 1286468 - [abrt] remmina: gtk_widget_get_scale_factor(): remmina killed by SIGSEGV
[abrt] remmina: gtk_widget_get_scale_factor(): remmina killed by SIGSEGV
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:98ef4fbe1e9b90e21d62d715ea0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-29 15:20 EST by piio
Modified: 2016-02-08 02:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-08 02:49:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.49 KB, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: cgroup (244 bytes, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: core_backtrace (8.47 KB, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: dso_list (18.27 KB, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: environ (1.48 KB, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: exploitable (117 bytes, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: maps (86.67 KB, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: mountinfo (3.64 KB, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: open_fds (2.34 KB, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: proc_pid_status (1.18 KB, text/plain)
2015-11-29 15:20 EST, piio
no flags Details
File: var_log_messages (3.07 KB, text/plain)
2015-11-29 15:20 EST, piio
no flags Details

  None (edit)
Description piio 2015-11-29 15:20:30 EST
Description of problem:
After upgrade gtk3 to 3.19. 3 (both -2 and -3) remmina crashes during rdp connection to server.

Version-Release number of selected component:
remmina-1.2.0-0.9.git.8855df7.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        remmina -i
crash_function: gtk_widget_get_scale_factor
executable:     /usr/bin/remmina
global_pid:     5215
kernel:         4.4.0-0.rc1.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (3 frames)
 #0 gtk_widget_get_scale_factor at gtkwidgetprivate.h:369
 #2 gtk_css_widget_node_get_style_provider at gtkcsswidgetnode.c:244
 #3 gtk_css_node_invalidate_style_provider at gtkcssnode.c:103
Comment 1 piio 2015-11-29 15:20:35 EST
Created attachment 1100267 [details]
File: backtrace
Comment 2 piio 2015-11-29 15:20:37 EST
Created attachment 1100268 [details]
File: cgroup
Comment 3 piio 2015-11-29 15:20:38 EST
Created attachment 1100269 [details]
File: core_backtrace
Comment 4 piio 2015-11-29 15:20:40 EST
Created attachment 1100270 [details]
File: dso_list
Comment 5 piio 2015-11-29 15:20:41 EST
Created attachment 1100271 [details]
File: environ
Comment 6 piio 2015-11-29 15:20:43 EST
Created attachment 1100272 [details]
File: exploitable
Comment 7 piio 2015-11-29 15:20:44 EST
Created attachment 1100273 [details]
File: limits
Comment 8 piio 2015-11-29 15:20:46 EST
Created attachment 1100274 [details]
File: maps
Comment 9 piio 2015-11-29 15:20:48 EST
Created attachment 1100275 [details]
File: mountinfo
Comment 10 piio 2015-11-29 15:20:49 EST
Created attachment 1100276 [details]
File: namespaces
Comment 11 piio 2015-11-29 15:20:50 EST
Created attachment 1100277 [details]
File: open_fds
Comment 12 piio 2015-11-29 15:20:51 EST
Created attachment 1100278 [details]
File: proc_pid_status
Comment 13 piio 2015-11-29 15:20:53 EST
Created attachment 1100279 [details]
File: var_log_messages
Comment 14 Bill Gianopoulos 2015-12-01 20:02:44 EST
Another user experienced a similar problem:

This happens whenever I try to use remmina with the rdp plugin to connect to a Windows system.

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        remmina
crash_function: gtk_widget_get_scale_factor
executable:     /usr/bin/remmina
global_pid:     3213
kernel:         4.4.0-0.rc3.git0.1.fc24.x86_64
package:        remmina-1.2.0-0.9.git.8855df7.fc24
reason:         remmina killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Bill Gianopoulos 2015-12-01 20:20:58 EST
As an Aid t those trying to deal with this issue, xfreerdp works fine for me.
Comment 16 Pavel Alexeev 2016-01-04 12:23:45 EST
I think it is gtk3 issue, not remmina. Reassign.
Comment 17 Bill Gianopoulos 2016-01-11 10:49:01 EST
I believe this is the same issue as bug 1292965
	

.  This does not occur on my laptop that has a touch screen.
Comment 18 G2subsPstLC 2016-01-11 13:47:17 EST
installed the Fedora 23 spin "security", installed vnctiger-server, executed it, and vnc log shows the same errors here.
Comment 19 Bill Gianopoulos 2016-01-11 14:37:24 EST
I have verified that this issue is fixed by gtk3-3.19.6-1.fc24

Note You need to log in before you can comment on or make changes to this bug.